php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #11691 Compiling fails with Apache 1.3.20 and 1.3.9
Submitted: 2001-06-26 06:31 UTC Modified: 2001-08-03 23:40 UTC
From: bopper at barkhof dot uni-bremen dot de Assigned:
Status: Not a bug Package: Compile Failure
PHP Version: 4.0.6 OS: AIX 4.2
Private report: No CVE-ID: None
 [2001-06-26 06:31 UTC] bopper at barkhof dot uni-bremen dot de
Configure: ./configure --prefix=/opt/php-4.0.6 --with-apache=/opt/apache_1.3.20 --with-mysql=/opt/mysql-3.22.30 --disable-shared 

Compiling with gcc (v. 2.8.0):
gcc  -I. -I/opt/php-4.0.6/sapi/apache -I/opt/php-4.0.6/main -I/opt/php-4.0.6 ... ... ... -I/opt/php-4.0.6/TSRM ...  -I/opt/apache_1.3.20/src/os/unix -DSUPPORT_UTF8 -DXML_BYTE_ORDER=21 -O2  -c sapi_apache.c && touch sapi_apache.lo
In file included from /opt/apache_1.3.20/src/include/ap_config.h:114,
 from /opt/apache_1.3.20/src/include/httpd.h:72,
 from sapi_apache.c:32:
/opt/apache_1.3.20/src/os/unix/os.h:123: conflicting types for `dlerror'
/usr/include/dlfcn.h:36: previous declaration of `dlerror'  

I have found the declarations in _apache_/src/os/unix/os.h:
#ifdef AIX | #if AIX < 43 | #undef HAVE_DLFCN_H
#endif | #endif
#ifdef HAVE_DLFCN_H
#include <dlfcn.h>
#else
void *dlopen(const char *, int);
int dlclose(void *);
void *dlsym(void *, const char *);
const char *dlerror(void);
#endif 

It looks like the compiler includes dlfcn.h nevertheless!
What can I do to fix it?                                                                          

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2001-08-03 23:40 UTC] sniper@php.net
This is not PHP problem. Please report this to the Apache project.

--Jani

 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Tue Feb 25 10:01:23 2020 UTC